summaryrefslogtreecommitdiff
path: root/dev-scheme/guile-commonmark/guile-commonmark-0.1.2.ebuild
diff options
context:
space:
mode:
Diffstat (limited to 'dev-scheme/guile-commonmark/guile-commonmark-0.1.2.ebuild')
-rw-r--r--dev-scheme/guile-commonmark/guile-commonmark-0.1.2.ebuild27
1 files changed, 27 insertions, 0 deletions
diff --git a/dev-scheme/guile-commonmark/guile-commonmark-0.1.2.ebuild b/dev-scheme/guile-commonmark/guile-commonmark-0.1.2.ebuild
new file mode 100644
index 0000000..8945137
--- /dev/null
+++ b/dev-scheme/guile-commonmark/guile-commonmark-0.1.2.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Implementation of CommonMark for Guile "
+HOMEPAGE="https://github.com/OrangeShark/guile-commonmark"
+SRC_URI="https://github.com/OrangeShark/guile-commonmark/releases/download/v${PV}/${P}.tar.gz"
+
+LICENSE="LGPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+RESTRICT="strip"
+
+RDEPEND=">=dev-scheme/guile-2.0.11:="
+DEPEND="${RDEPEND}"
+
+# guile generates ELF files without use of C or machine code
+# It's a portage's false positive. bug #677600
+QA_PREBUILT='*[.]go'
+
+src_prepare() {
+ default
+
+ # http://debbugs.gnu.org/cgi/bugreport.cgi?bug=38112
+ find "${S}" -name "*.scm" -exec touch {} + || die
+}